Package org.spongepowered.asm.mixin.refmap

## Interface IClassReferenceMapper

All Known Implementing Classes:
  `RemappingReferenceMapper`

    public interface IClassReferenceMapper

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `remapClassName​(java.lang.String className, java.lang.String inputClassName)`
`java.lang.String` `remapClassNameWithContext​(java.lang.String context, java.lang.String className, java.lang.String inputClassName)`

### Method Detail

#### remapClassName

    java.lang.String remapClassName​(java.lang.String className,
                                    java.lang.String inputClassName)

#### remapClassNameWithContext

    java.lang.String remapClassNameWithContext​(java.lang.String context,
                                               java.lang.String className,
                                               java.lang.String inputClassName)